<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="styles.css" />
    <title>Students</title>
  </head>
  <body>
    <header class="header">
      <div class="logo">CMS</div>
      <div class="header-row">
        <div class="notification">
          <img class="notification-logo" src="./img/notification.png" alt="notification"/>
          <span class="badge">3</span>
          <div class="dropdown-content">
            <div class="dropdown-content-element">
              <div class="user-from">
                <img
                  class="user-from-logo" src="img/user.png" alt="user logo"/>
                <div class="user-from-name">Roman P</div>
              </div>
              <div class="user-from-message"><p>Lorem ipsum</p></div>
            </div>
            <div class="dropdown-content-element">
              <div class="user-from">
                <img class="user-from-logo" src="img/user.png" alt="user logo"/>
                  <div class="user-from-name">Roman P</div>
              </div>
              <div class="user-from-message"><p>Lorem ipsum</p></div>
            </div>
            <div class="dropdown-content-element">
              <div class="user-from">
                <img class="user-from-logo" src="img/user.png" alt="user logo"/>
                  <div class="user-from-name">Roman P</div>
              </div>
              <div class="user-from-message"><p>Lorem ipsum</p></div>
            </div>
          </div>
        </div>
        <div class="user">
          <img class="user-logo" src="img/billy.jpg" alt="user logo" />
          <div class="user-fullname">James Bond</div> 
          <div class="dropdown-content">
            <a>My Profile</a>
            <a>Log out</a>
          </div> 
        </div>
      </div>
    </header>
    <nav class="navigation">
      <a href="#">Dashboard</a>
      <a class="active-nav" href="#students">Students</a>
      <a href="#">Tasks</a>
    </nav>
    <main class="main">
      <h1 class="title">Students</h1>
      <button class="add-student-btn"> <img src="./img/add.svg" /></button>
      <table class="table">
        <tr>
          <th class="checkbox-column checkbox-cell">
              <input type="checkbox" disabled="disabled" checked="checked"/>
          </th>
          <th class="group-column">Group</th>
          <th class="name-column">Name</th>
          <th class="gender-column">Gender</th>
          <th class="birthday-column">Birthday</th>
          <th class="status-column">Status</th>
          <th class="options-column">Options</th>
        </tr>
        <tr>
          <td class="checkbox-cell">
              <input type="checkbox"/>
          </td>
          <td class="group-cell">KN-21</td>
          <td class="name-cell">John Smith</td>
          <td class="gender-cell">M</td>
          <td class="birthday-cell">11.05.2004</td>
          <td class=><span class="status-cell active-status"></span></td>
          <td class="options-cell">
            <button><img src="./img/edit.svg" alt="edit" /></button
            ><button class="delete-btn">
              <img src="./img/delete.svg" alt="delete" />
            </button>
          </td>
        </tr>
        <tr>
          <td class="checkbox-cell">
              <input type="checkbox"/>
          </td>
          <td class="group-cell">KN-22</td>
          <td class="name-cell">Ann Bond</td>
          <td class="gender-cell">F</td>
          <td class="birthday-cell">24.04.2004</td>
          <td><span class="status-cell inactive-status"></span></td>
          <td class="options-cell">
            <button><img src="./img/edit.svg" alt="edit" /></button
            ><button class="delete-btn">
              <img src="./img/delete.svg" alt="delete" />
            </button>
          </td>
        </tr>
      </table>
    </main>

    <div id="delete-student-modal" class="modal">
      <div class="modal-content">
        <div class="modal-header">
          <button class="close">
            <img src="./img/close.png" alt="close" />
          </button>
          <h2>Warning</h2>
        </div>
        <div class="modal-body">
          <p>Are you sure you want to delete user</p>
        </div>
        <div class="modal-footer">
          <div class="actions">
            <button class="approve">Ok</button>
            <button class="cancel">Cancel</button>
          </div>
        </div>
      </div>
    </div>

    <div id="add-student-modal" class="modal">
      <div class="modal-content">
        <div class="modal-header">
          <button class="close">
            <img src="./img/close.png" alt="close" />
          </button>
          <h2>Add student</h2>
        </div>
        <div class="modal-body">
          <p class="group-input">Group:</p>
          <p class="name-input">Name:</p>
          <p class="gender-input">Gender:</p>
          <p class="birthday-input">Birthday:</p>
          <p class="status-input">Status:</p>
        </div>
        <div class="modal-footer">
          <div class="actions"><button class="create">Create</button></div>
        </div>
      </div>
    </div>

    <script src="./script.js"></script>
  </body>
</html>
